import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSSecureCoding } from "../Foundation/NSSecureCoding.js";
import type { CGPoint } from "../structs/CGPoint.js";
import type { CGSize } from "../structs/CGSize.js";
export declare class _AXBrailleMap extends _NSObject {
    static alloc(): _AXBrailleMap;
    static new(): _AXBrailleMap;
    init(): _AXBrailleMap;
    /**
     * These methods provide individual access to braille dots. 1 indicates completely raised, 0 completely lowered. The bottom, left is represented by { 0,0 }. The top, right is represented by { dimensions.width - 1, dimensions.height - 1}
     */
    setHeight$atPoint$(status: number, point: CGPoint): void;
    heightAtPoint$(point: CGPoint): number;
    presentImage$(image: Uint8Array): void;
    /**
     * Indicates the number of dots in each dimension. This size may change if the user zooms in the content.
     */
    dimensions(): CGSize;
}
export interface _AXBrailleMap extends _NSCopying, _NSSecureCoding {
}
